/*
** DYNDNS.H
**
**      This header file contains the public HTTP interfaces used by the
**		Sambar Server for interfacing with dyndns.org service.
**
**		Confidential Property of Tod Sambar
**		(c) Copyright Tod Sambar 2000
**		All rights reserved.
**
**
** History:
** Chg#	Date	Description												Resp
** ----	-------	-------------------------------------------------------	----
**		28FEB00	Created													sambar
*/

#if     !defined(__DYNDNS_H__)
#define __DYNDNS_H__

#include	<sambar.h>

/*
** Sambar Server WebCam DLL Function Prototypes
*/
#if defined(__cplusplus)
extern "C" {
#endif /* defined(__cplusplus) */

extern SA_RETCODE SA_EXPORT		dyndns_init(SA_CTX *sactx);
extern SA_RETCODE SA_EXPORT		dyndns_exit(SA_CTX *sactx);

/*
** RAS Activity Callback
*/
extern SA_VOID SA_PUBLIC		dyndns_ras(SA_CTX *sactx, SA_CHAR *ip,
									SA_CHAR *previp, SA_BOOL connected);

#if defined(__cplusplus)
}
#endif /* defined(__cplusplus) */

#endif /* __DYNDNS_H__ */
