/*
** FINANCE.H
**
**      This header file contains the public HTTP interfaces used by the
**		Sambar Server for interfacing with the Financial Tools Library.
**
**		Confidential Property of Tod Sambar
**		(c) Copyright Tod Sambar 1996-1997
**		All rights reserved.
**
**
** History:
** Chg#	Date	Description												Resp
** ----	-------	-------------------------------------------------------	----
**		8SEP96	Created													sambar
*/

#if     !defined(__FINANCE_H__)
#define __FINANCE_H__

#include	<sambar.h>

/*
** Sambar Server/Finacial Tools DLL Function Prototypes
*/
#if defined(__cplusplus)
extern "C" {
#endif /* defined(__cplusplus) */

extern SA_RETCODE SA_EXPORT 	finance_init(SA_CTX *sactx);

/*
** Financial Calculators
*/
extern SA_RETCODE SA_PUBLIC		finance_amorcalc(SA_CTX *sactx, SA_CONN *saconn,
									SA_PARAMS *saparams, SA_INT *infop);
extern SA_RETCODE SA_PUBLIC		finance_fvmdcalc(SA_CTX *sactx, SA_CONN *saconn,
									SA_PARAMS *saparams, SA_INT *infop);
extern SA_RETCODE SA_PUBLIC		finance_fvpscalc(SA_CTX *sactx, SA_CONN *saconn,
									SA_PARAMS *saparams, SA_INT *infop);
extern SA_RETCODE SA_PUBLIC		finance_mortcalc(SA_CTX *sactx, SA_CONN *saconn,
									SA_PARAMS *saparams, SA_INT *infop);
extern SA_RETCODE SA_PUBLIC		finance_ratecalc(SA_CTX *sactx, SA_CONN *saconn,
									SA_PARAMS *saparams, SA_INT *infop);

#if defined(__cplusplus)
}
#endif /* defined(__cplusplus) */

#endif /* __FINANCE_H__ */
